Name:          sox
Version:       14.4.2
Release:       3mamba
Summary:       A general purpose sound file conversion tool
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sox.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/sox/sox-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libao-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libflac-devel
BuildRequires: libgomp-devel
BuildRequires: libgsm-devel
BuildRequires: libid3tag-devel
BuildRequires: liblame-devel
BuildRequires: libltdl-devel
BuildRequires: libmad-devel
BuildRequires: libmagic-devel
BuildRequires: libogg-devel
BuildRequires: libopencore-amr-devel
BuildRequires: libpng-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsndfile-devel
BuildRequires: libtwolame-devel
BuildRequires: libvorbis-devel
BuildRequires: libwavpack-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libpulseaudio-devel >= 9.0-1mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
SoX (Sound eXchange) is a sound file format converter SoX can convert between many different digitized sound formats and perform simple sound manipulation functions, including sound effects.

%package -n  sox-devel
Summary:       The SoX sound file format converter libraries.
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n sox-devel 
This package contains the library needed for compiling applications which will use the SoX sound file format converter.

%prep
%setup -q

%build
%configure \
   --disable-playrec-symlinks

%make

%install 
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall 

#echo "\
##!/bin/sh
#%{_bindir}/sox \"$1\" -t .au - > /dev/audio'" > \
#   %{buildroot}%{_bindir}/soxplay

#chmod 755 %{buildroot}%{_bindir}/soxplay

# fix symlinks
#ln -snf play %{buildroot}%{_bindir}/rec

#rm -f %{buildroot}%{_mandir}/man1/rec.1
#ln -snf play.1 %{buildroot}%{_mandir}/man1/rec.1
#ln -snf sox.1 %{buildroot}%{_mandir}/man1/soxmix.1

rm -f %{buildroot}%{_bindir}/{play,rec}
rm -f %{buildroot}%{_mandir}/man1/play.1*
rm -f %{buildroot}%{_mandir}/man1/rec.1*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/sox
%{_bindir}/soxi
#%{_libdir}/libsfx.so.*
%{_libdir}/libsox.so.*
#%{_libdir}/sox/libsox_fmt_*.so.*
%{_mandir}/man1/sox.1.gz
%{_mandir}/man1/soxi.1.gz
%{_mandir}/man7/soxeffect.7.gz
#%{_mandir}/man7/soxexam.7.gz
%{_mandir}/man7/soxformat.7.gz
%doc README INSTALL

%files -n sox-devel
%defattr(-,root,root)
%{_includedir}/*.h
#%{_libdir}/libsfx.a
#%{_libdir}/libsfx.la
#%{_libdir}/libsfx.so
%{_libdir}/libsox.a
%{_libdir}/libsox.la
%{_libdir}/libsox.so
#%{_libdir}/sox/libsox_fmt_*.a
#%{_libdir}/sox/libsox_fmt_*.la
#%{_libdir}/sox/libsox_fmt_*.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/libsox.3.gz

%changelog
* Sun Jun 26 2016 Automatic Build System <autodist@mambasoft.it> 14.4.2-3mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=9.0-1mamba

* Sat Apr 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 14.4.2-2mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=8.0-1mamba

* Sun Mar 01 2015 Automatic Build System <autodist@mambasoft.it> 14.4.2-1mamba
- automatic update by autodist

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 14.4.1-2mamba
- rebuilt with pulseaudio 4.0

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 14.4.1-1mamba
- update to 14.4.1

* Sat Apr 02 2011 Automatic Build System <autodist@mambasoft.it> 14.3.2-1mamba
- automatic update by autodist

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 14.3.1-3mamba
- automatic rebuild by autodist

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 14.3.1-2mamba
- automatic rebuild by autodist

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 14.3.1-1mamba
- automatic update by autodist

* Wed Nov 25 2009 Automatic Build System <autodist@mambasoft.it> 14.3.0-2mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 14.3.0-1mamba
- automatic update by autodist

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 14.2.0-1mamba
- automatic update by autodist

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 14.1.0-1mamba
- update to 14.1.0

* Sat Nov 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 14.0.0-1mamba
- update to 14.0.0
- disabled play and rec symlinks to sox

* Fri Jun 30 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 12.18.1-1qilnx
- update to version 12.18.1 by autospec

* Thu Aug 25 2005 Davide Madrisan <davide.madrisan@qilinux.it> 12.17.7-2qilnx
- several fixes

* Thu Jun 30 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 12.17.7-1qilnx
- new version

* Wed Dec 8 2004 Matteo Bernasconi <voyagernm@virgilio.it> 12.17.6-1qilnx
- first build
